Package ru.bitel.bgbilling.modules.softkey.common.bean

# Class SoftkeyProduct

java.lang.Object
ru.bitel.bgbilling.modules.softkey.common.bean.SoftkeyProduct

    public class SoftkeyProduct
    extends java.lang.Object

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SoftkeyProduct()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.math.BigDecimal` | `getAmount()` |
  `java.lang.String` | `getCurrency()` |
  `int` | `getId()` |
  `java.lang.String` | `getProductDescription()` |
  `java.lang.String` | `getProductName()` |
  `int` | `getSubscribeId()` |
  `java.lang.String` | `getSubscribeName()` |
  `void` | `setAmount​(java.math.BigDecimal amount)` |
  `void` | `setCurrency​(java.lang.String currency)` |
  `void` | `setId​(int id)` |
  `void` | `setProductDescription​(java.lang.String productDescription)` |
  `void` | `setProductName​(java.lang.String productName)` |
  `void` | `setSubscribeId​(int subscribeId)` |
  `void` | `setSubscribeName​(java.lang.String subscribeName)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SoftkeyProduct

    public SoftkeyProduct()

- ## Method Details

  - ### getId

    public int getId()

  - ### setId

    public void setId​(int id)

  - ### getSubscribeId

    public int getSubscribeId()

  - ### setSubscribeId

    public void setSubscribeId​(int subscribeId)

  - ### getSubscribeName

    public java.lang.String getSubscribeName()

  - ### setSubscribeName

    public void setSubscribeName​(java.lang.String subscribeName)

  - ### getProductName

    public java.lang.String getProductName()

  - ### setProductName

    public void setProductName​(java.lang.String productName)

  - ### getProductDescription

    public java.lang.String getProductDescription()

  - ### setProductDescription

    public void setProductDescription​(java.lang.String productDescription)

  - ### getAmount

    public java.math.BigDecimal getAmount()

  - ### setAmount

    public void setAmount​(java.math.BigDecimal amount)

  - ### getCurrency

    public java.lang.String getCurrency()

  - ### setCurrency

    public void setCurrency​(java.lang.String currency)